/*
   ADC.H
*/

#ifndef ADCTRACT_H
#define ADCTRACT_H

#include "StdAfx.h"
#include "..\common\vmcadWDM.h"

class CADCTract
  {
   // , 
   public:
   CADCTract ( LPCTSTR name,BOOL ReadOnly);
   ~CADCTract ( void );

   //    

   public:
   HANDLE HVDSP;  
   DWORD BytesPost;
   BOOL isReadOnly;
   int ExecCommand( DWORD Command, void * inBuf,  WORD inBufSize,
                                   void * outBuf, WORD outBufSize);

   public:
   //  

   public:
	   int GetStatus (DWORD *status);
   int GetBufSize ( int *val );
   int GetRealTime ( int *val );
   int GetLiveTime ( int *val );
   int GetPresetRealTime ( int *val );
   int GetPresetLiveTime ( int *val );
   int GetParamsCount (int * val);
   int GetParamsList (DWORD* list, WORD listSize);
   int GetParamValue (DWORD parID, DWORD* val);
   int GetParamName (DWORD parID, char* sName, DWORD* bufLen);
   int GetParamDescription(DWORD parID, char *sDesc, DWORD* bufLen);

   int SetBufSize ( int size );
   int SetRealTime ( int time );
   int SetLiveTime ( int time );
   int SetPresetRealTime ( int time );
   int SetPresetLiveTime ( int time );
   int SetParamValue (DWORD parId, DWORD val);

   int ClearBuf ( void );
   int RunChannel ( void );
   int StopChannel ( void );

   int WriteBuf ( void * p, int offset, int chCount);
   int ReadBuf ( void * p, int offset, int chCount);
};

#endif
